Subject: [bug#39841] [WIP PATCH] synapse

From: Alex ter Weele <[email-masked]>
Date: Sun, 29 Mar 2020 20:28:45 -0400

Marius Bakke <[email-masked]> writes:

> Alex ter Weele <[email-masked]> writes:
>
>> Hello,
>>
>> These are some patches to add Synapse
>> <https://github.com/matrix-org/synapse>.
>
> Cool!  Now Guix users can run their own Matrix home servers!
>
> Can you rebase this series on the current master branch?  Let's try to
> merge the patches that are not marked with TODO, to make reviewing the
> remainder easier.
>
> I've applied the first patch already!  :-)
>
> Short feedback on the series: inputs should probably be
> propagated-inputs in all of these.  Please also run 'guix lint' on each
> package to catch cosmetic issues.
>
> Thanks in advance, and sorry for the delay!

Here is  a new patch series atop current master. It should be
guix-linted and use propagated-inputs.

I also want to mention: I indiscriminately put everything in
python-xyz.scm, some of these packages may be a better fit for other
python-*.scm files.

Thanks for the review!